Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_storage_from_factory

## Name

librdf_new_storage_from_factory -- Constructor - create a new librdf_storage object

## Synopsis

``librdf_storage* `librdf_new_storage_from_factory`` (librdf_world * `world`, librdf_storage_factory* `factory`, char * `name`, librdf_hash* `options`);`

## Arguments

`world`

  redland world object

`factory`

  the factory to use to construct the storage

`name`

  name to use for storage

`options`

  librdf_hash of options to initialise storage

## Description

If the options are present, they become owned by the storage and should no longer be used.

## Return value

a new librdf_storage object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_storage_from_storage | Up | librdf_free_storage